import { axios } from '@/utils/request'

//  连锁组 列表  分页
export const linkageGroupList = (params) => {
  const url = `/linkageGroup/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  连锁组 保存
export const linkageGroupSave = (params) => {
  return axios({
    url: '/linkageGroup/save',
    data: params,
    method: 'post'
  })
}
//  连锁组 详情
export const linkageGroupDetail = (params) => {
  const url = `/linkageGroup/queryDetail/${params.sn}`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  连锁组 关联
export const linkageGroupRelation = (params) => {
  return axios({
    url: '/linkageGroup/relation',
    data: params,
    method: 'post'
  })
}
//  连锁组 取消关联
export const linkageGroupUnRelation = (params) => {
  const url = `/linkageGroup/unRelation/${params.sn}`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
